Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.model.types
Class FibRgLw95AbstractType

    java.lang.Object
      org.apache.poi.hwpf.model.types.FibRgLw95AbstractType

    public abstract class FibRgLw95AbstractType

extends java.lang.Object

The FibRgLw95 structure is the third section of the FIB for Word95.

NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/types/definitions.

This class is internal. It content or properties may change without notice due to changes in our knowledge of internal Microsoft Word binary structures.

Author:
  Sergey Vladimirov

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `getCbMac()` Get the cbMac field for the FibRgLw95 record.
`int` | `getCcpAtn()` Get the ccpAtn field for the FibRgLw95 record.
`int` | `getCcpEdn()` Get the ccpEdn field for the FibRgLw95 record.
`int` | `getCcpFtn()` Get the ccpFtn field for the FibRgLw95 record.
`int` | `getCcpHdd()` Get the ccpHdd field for the FibRgLw95 record.
`int` | `getCcpHdrTxbx()` Get the ccpHdrTxbx field for the FibRgLw95 record.
`int` | `getCcpMcr()` Get the ccpMcr field for the FibRgLw95 record.
`int` | `getCcpText()` Get the ccpText field for the FibRgLw95 record.
`int` | `getCcpTxbx()` Get the ccpTxbx field for the FibRgLw95 record.
`int` | `getReserved1()` Get the reserved1 field for the FibRgLw95 record.
`int` | `getReserved2()` Get the reserved2 field for the FibRgLw95 record.
`int` | `getReserved3()` Get the reserved3 field for the FibRgLw95 record.
`int` | `getReserved4()` Get the reserved4 field for the FibRgLw95 record.
`int` | `getReserved5()` Get the reserved5 field for the FibRgLw95 record.
`static int` | `getSize()` Size of record
`int` | `hashCode()`
`byte[]` | `serialize()`
`void` | `serialize(byte[] data, int offset)`
`void` | `setCbMac(int field_1_cbMac)` Set the cbMac field for the FibRgLw95 record.
`void` | `setCcpAtn(int field_10_ccpAtn)` Set the ccpAtn field for the FibRgLw95 record.
`void` | `setCcpEdn(int field_11_ccpEdn)` Set the ccpEdn field for the FibRgLw95 record.
`void` | `setCcpFtn(int field_7_ccpFtn)` Set the ccpFtn field for the FibRgLw95 record.
`void` | `setCcpHdd(int field_8_ccpHdd)` Set the ccpHdd field for the FibRgLw95 record.
`void` | `setCcpHdrTxbx(int field_13_ccpHdrTxbx)` Set the ccpHdrTxbx field for the FibRgLw95 record.
`void` | `setCcpMcr(int field_9_ccpMcr)` Set the ccpMcr field for the FibRgLw95 record.
`void` | `setCcpText(int field_6_ccpText)` Set the ccpText field for the FibRgLw95 record.
`void` | `setCcpTxbx(int field_12_ccpTxbx)` Set the ccpTxbx field for the FibRgLw95 record.
`void` | `setReserved1(int field_2_reserved1)` Set the reserved1 field for the FibRgLw95 record.
`void` | `setReserved2(int field_3_reserved2)` Set the reserved2 field for the FibRgLw95 record.
`void` | `setReserved3(int field_4_reserved3)` Set the reserved3 field for the FibRgLw95 record.
`void` | `setReserved4(int field_5_reserved4)` Set the reserved4 field for the FibRgLw95 record.
`void` | `setReserved5(int field_14_reserved5)` Set the reserved5 field for the FibRgLw95 record.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### serialize

    public void serialize(byte[] data,
                          int offset)

### serialize

    public byte[] serialize()

### getSize

    public static int getSize()

  Size of record

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getCbMac

    public int getCbMac()

  Get the cbMac field for the FibRgLw95 record.

### setCbMac

    public void setCbMac(int field_1_cbMac)

  Set the cbMac field for the FibRgLw95 record.

### getReserved1

    public int getReserved1()

  Get the reserved1 field for the FibRgLw95 record.

### setReserved1

    public void setReserved1(int field_2_reserved1)

  Set the reserved1 field for the FibRgLw95 record.

### getReserved2

    public int getReserved2()

  Get the reserved2 field for the FibRgLw95 record.

### setReserved2

    public void setReserved2(int field_3_reserved2)

  Set the reserved2 field for the FibRgLw95 record.

### getReserved3

    public int getReserved3()

  Get the reserved3 field for the FibRgLw95 record.

### setReserved3

    public void setReserved3(int field_4_reserved3)

  Set the reserved3 field for the FibRgLw95 record.

### getReserved4

    public int getReserved4()

  Get the reserved4 field for the FibRgLw95 record.

### setReserved4

    public void setReserved4(int field_5_reserved4)

  Set the reserved4 field for the FibRgLw95 record.

### getCcpText

    public int getCcpText()

  Get the ccpText field for the FibRgLw95 record.

### setCcpText

    public void setCcpText(int field_6_ccpText)

  Set the ccpText field for the FibRgLw95 record.

### getCcpFtn

    public int getCcpFtn()

  Get the ccpFtn field for the FibRgLw95 record.

### setCcpFtn

    public void setCcpFtn(int field_7_ccpFtn)

  Set the ccpFtn field for the FibRgLw95 record.

### getCcpHdd

    public int getCcpHdd()

  Get the ccpHdd field for the FibRgLw95 record.

### setCcpHdd

    public void setCcpHdd(int field_8_ccpHdd)

  Set the ccpHdd field for the FibRgLw95 record.

### getCcpMcr

    public int getCcpMcr()

  Get the ccpMcr field for the FibRgLw95 record.

### setCcpMcr

    public void setCcpMcr(int field_9_ccpMcr)

  Set the ccpMcr field for the FibRgLw95 record.

### getCcpAtn

    public int getCcpAtn()

  Get the ccpAtn field for the FibRgLw95 record.

### setCcpAtn

    public void setCcpAtn(int field_10_ccpAtn)

  Set the ccpAtn field for the FibRgLw95 record.

### getCcpEdn

    public int getCcpEdn()

  Get the ccpEdn field for the FibRgLw95 record.

### setCcpEdn

    public void setCcpEdn(int field_11_ccpEdn)

  Set the ccpEdn field for the FibRgLw95 record.

### getCcpTxbx

    public int getCcpTxbx()

  Get the ccpTxbx field for the FibRgLw95 record.

### setCcpTxbx

    public void setCcpTxbx(int field_12_ccpTxbx)

  Set the ccpTxbx field for the FibRgLw95 record.

### getCcpHdrTxbx

    public int getCcpHdrTxbx()

  Get the ccpHdrTxbx field for the FibRgLw95 record.

### setCcpHdrTxbx

    public void setCcpHdrTxbx(int field_13_ccpHdrTxbx)

  Set the ccpHdrTxbx field for the FibRgLw95 record.

### getReserved5

    public int getReserved5()

  Get the reserved5 field for the FibRgLw95 record.

### setReserved5

    public void setReserved5(int field_14_reserved5)

  Set the reserved5 field for the FibRgLw95 record.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD